package com.huatek.busi.dao;

import org.springframework.stereotype.Repository;
import org.springframework.util.StringUtils;

import com.huatek.busi.entity.RptTemper;
import com.huatek.torch.sql.dao.impl.BaseDao;
import com.huatek.torch.util.uuid.Uuid;

/**
 * 测温柜-实时监测数据 Dao
 *
 * @author anker_cheng
 * @date Jul 1, 2019 4:56:42 PM
 */
@Repository
public class  RptTemperDao extends BaseDao<RptTemper, String> {

    public int saveOrUpdate(RptTemper rptTemper) {
        if(StringUtils.isEmpty(rptTemper.getId())) {
            rptTemper.setId(Uuid.getUUID());
            return this.add(rptTemper);
        }
        return this.updateLocal(rptTemper);
    }
}

